### A free/open-source library for quantitative finance

Public Member Functions
GenericCPI Class Reference

Generic CPI index. More...

`#include <ql/experimental/inflation/genericindexes.hpp>`

Inheritance diagram for GenericCPI:
[legend]

List of all members.

## Public Member Functions

| GenericCPI (Frequency frequency, bool revised, bool interpolated, const Period &lag, const Currency &ccy, const Handle< ZeroInflationTermStructure > &ts=Handle< ZeroInflationTermStructure >())

## Detailed Description

Generic CPI index.